# PSafeSortedList< Base > Class Template Reference

This class defines a thread-safe sorted array of objects. More...

`#include <safecoll.h>`

Inheritance diagram for PSafeSortedList< Base >:

List of all members.

## Public Types

typedef PSafePtr< Base > | value_type

## Detailed Description

### template<class Base>
class PSafeSortedList< Base >

This class defines a thread-safe sorted array of objects.

See the PSafeObject class for more details. Especially in regard to enumeration of collections.

## Member Typedef Documentation

template<class Base>

typedef PSafePtr<Base> PSafeSortedList< Base >::value_type

The documentation for this class was generated from the following file:

- safecoll.h